Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: Не ставится модуль ssl 1.0.2u в python 3.7.11 в ubunu 14.04  (Прочитано 920 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн cyr

  • Автор темы
  • Новичок
  • *
  • Сообщений: 34
    • Просмотр профиля
Пытаюсь установить python 3.7.11 в ubunu 14.04 из исходников по этой методике:
https://stackoverflow.com/questions/53543477/building-python-3-7-1-ssl-module-failed
При конфигурировании:
checking for openssl/ssl.h in /usr/src/openssl-1.0.2u... yes
checking whether compiling and linking against OpenSSL works... yes
checking for X509_VERIFY_PARAM_set1_host in libssl... yes
checking for --with-ssl-default-suites... python
всё норм.
Но когда делаю make config, то имею следующее
building '_ssl' extension
gcc -pthread -fPIC -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wall -std=c99 -Wextra -Wno-unused-result -Wno-unused-parameter -Wno-missing-field-initializers -Werror=implicit-function-declaration -fprofile-use -fprofile-correction -I/usr/src/openssl-1.0.2u/include -I./Include -I. -I/usr/include/i386-linux-gnu -I/usr/local/include -I/usr/src/Python-3.7.11/Include -I/usr/src/Python-3.7.11 -c /usr/src/Python-3.7.11/Modules/_ssl.c -o build/temp.linux-i686-3.7/usr/src/Python-3.7.11/Modules/_ssl.o
/usr/src/Python-3.7.11/Modules/_ssl.c: In function ‘newPySSLSocket.isra.46’:
/usr/src/Python-3.7.11/Modules/_ssl.c:6300:1: note: file /usr/src/Python-3.7.11/build/temp.linux-i686-3.7/usr/src/Python-3.7.11/Modules/_ssl.gcda not found, execution counts estimated
 }
 ^
gcc -pthread -shared build/temp.linux-i686-3.7/usr/src/Python-3.7.11/Modules/_ssl.o -L/usr/src/openssl-1.0.2u/lib -L/usr/lib/i386-linux-gnu -L/usr/local/lib -lssl -lcrypto -o build/lib.linux-i686-3.7/_ssl.cpython-37m-i386-linux-gnu.so
INFO: Could not locate ffi libs and/or headers
*** WARNING: renaming "_ssl" since importing it failed: build/lib.linux-i686-3.7/_ssl.cpython-37m-i386-linux-gnu.so: undefined symbol: X509_VERIFY_PARAM_set_hostflags

Python build finished successfully!
The necessary bits to build these optional modules were not found:
_lzma                 _uuid
To find the necessary bits, look in setup.py in detect_modules() for the module's name.

The following modules found by detect_modules() in setup.py, have been
built by the Makefile instead, as configured by the Setup files:
_abc                  atexit                pwd
time

Failed to build these modules:
_ctypes

Following modules built successfully but were removed because they could not be imported:
_ssl

Could not build the ssl module!
Python requires an OpenSSL 1.0.2 or 1.1 compatible libssl with X509_VERIFY_PARAM_set1_host().
LibreSSL 2.6.4 and earlier do not provide the necessary APIs, https://github.com/libressl-portable/portable/issues/381
Не устанавливается модуль ssl. И из-за этого не работает pip install.
 :'(
Что делать?
Ищу простые решения...

Оффлайн AnrDaemon

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 27727
    • Просмотр профиля
Пытаюсь установить python 3.7.11 в ubunu 14.04 из исходников
Нафига?
Хотите получить помощь? Потрудитесь представить запрошенную информацию в полном объёме.

Прежде чем [Отправить], нажми [Просмотр] и прочти собственное сообщение. Сам-то понял, что написал?…

Оффлайн cyr

  • Автор темы
  • Новичок
  • *
  • Сообщений: 34
    • Просмотр профиля
Потому что нужен нормальный pandas.
Он ставится только начиная с python 3.7. Через pip install.
Сейчас в системе python 3.4.3
« Последнее редактирование: 07 Июль 2021, 10:03:08 от cyr »
Ищу простые решения...

Оффлайн ALiEN175

  • Модератор форума
  • Старожил
  • *
  • Сообщений: 4895
  • Capture the truth
    • Просмотр профиля
cyr, насильно менять версию python - опасно. Можете получить нерабочую систему.
ASUS P5K-C :: Intel Xeon E5450 :: 8 GB RAM :: Radeon R7 260X :: XFCE
SAMSUNG N150 :: Intel Atom N450 :: 2 GB RAM :: Intel GMA3150 :: XFCE

Оффлайн cyr

  • Автор темы
  • Новичок
  • *
  • Сообщений: 34
    • Просмотр профиля
дык я ставлю через make altinstall. оно ставится рядом и основную версию не меняет )
Ищу простые решения...

Оффлайн ASteZ

  • Новичок
  • *
  • Сообщений: 31
    • Просмотр профиля
А отсюда не пробовали устанавливать?
https://launchpad.net/~deadsnakes/+archive/ubuntu/ppa?field.series_filter=trusty
Там вроде есть такое:
python3.7    3.7.0-1+trusty1 
« Последнее редактирование: 07 Июль 2021, 12:16:39 от ASteZ »

Оффлайн cyr

  • Автор темы
  • Новичок
  • *
  • Сообщений: 34
    • Просмотр профиля
нет, я хочу ставить последнюю версию питона.
Необходимо только как-то победить установку ssl модуля в питон.
Ищу простые решения...

Оффлайн ASteZ

  • Новичок
  • *
  • Сообщений: 31
    • Просмотр профиля
А нужная версия openssl (dev) есть в системе?
Python requires an OpenSSL 1.0.2 or 1.1 compatible libssl with X509_VERIFY_PARAM_set1_host().
LibreSSL 2.6.4 and earlier do not provide the necessary APIs, https://github.com/libressl-portable/portable/issues/381

Оффлайн cyr

  • Автор темы
  • Новичок
  • *
  • Сообщений: 34
    • Просмотр профиля
Я ставил openssl из исходников.
sudo make выдаёт такое (уже пытаюсь на последних версиях):
running build_ext
building '_ssl' extension
gcc -pthread -fPIC -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wall -std=c99 -Wextra -Wno-unused-result -Wno-unused-parameter -Wno-missing-field-initializers -Werror=implicit-function-declaration -fvisibility=hidden -I./Include/internal -I/usr/local/include -I./Include -I. -I/usr/include/i386-linux-gnu -I/usr/local/include -I/usr/src/Python-3.9.6/Include -I/usr/src/Python-3.9.6 -c /usr/src/Python-3.9.6/Modules/_ssl.c -o build/temp.linux-i686-3.9/usr/src/Python-3.9.6/Modules/_ssl.o
gcc -pthread -shared build/temp.linux-i686-3.9/usr/src/Python-3.9.6/Modules/_ssl.o -L/usr/local/lib -L/usr/lib/i386-linux-gnu -L/usr/local/lib -lssl -lcrypto -o build/lib.linux-i686-3.9/_ssl.cpython-39-i386-linux-gnu.so
building '_hashlib' extension
gcc -pthread -fPIC -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wall -std=c99 -Wextra -Wno-unused-result -Wno-unused-parameter -Wno-missing-field-initializers -Werror=implicit-function-declaration -fvisibility=hidden -I./Include/internal -I/usr/local/include -I./Include -I. -I/usr/include/i386-linux-gnu -I/usr/local/include -I/usr/src/Python-3.9.6/Include -I/usr/src/Python-3.9.6 -c /usr/src/Python-3.9.6/Modules/_hashopenssl.c -o build/temp.linux-i686-3.9/usr/src/Python-3.9.6/Modules/_hashopenssl.o
gcc -pthread -shared build/temp.linux-i686-3.9/usr/src/Python-3.9.6/Modules/_hashopenssl.o -L/usr/local/lib -L/usr/lib/i386-linux-gnu -L/usr/local/lib -lssl -lcrypto -o build/lib.linux-i686-3.9/_hashlib.cpython-39-i386-linux-gnu.so
*** WARNING: renaming "_ssl" since importing it failed: libssl.so.1.1: cannot open shared object file: No such file or directory
*** WARNING: renaming "_hashlib" since importing it failed: libcrypto.so.1.1: cannot open shared object file: No such file or directory

Python build finished successfully!
The necessary bits to build these optional modules were not found:
_lzma                 _uuid
To find the necessary bits, look in setup.py in detect_modules() for the module's name.

The following modules found by detect_modules() in setup.py, have been
built by the Makefile instead, as configured by the Setup files:
_abc                  atexit                pwd
time

Following modules built successfully but were removed because they could not be imported:
_hashlib              _ssl

Could not build the ssl module!
Python requires an OpenSSL 1.0.2 or 1.1 compatible libssl with X509_VERIFY_PARAM_set1_host().
LibreSSL 2.6.4 and earlier do not provide the necessary APIs, https://github.com/libressl-portable/portable/issues/381
Ищу простые решения...

Оффлайн AnrDaemon

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 27727
    • Просмотр профиля
Ищу простые решения...
Самое простое - поставить из PPA.
Хотите получить помощь? Потрудитесь представить запрошенную информацию в полном объёме.

Прежде чем [Отправить], нажми [Просмотр] и прочти собственное сообщение. Сам-то понял, что написал?…

 

Страница сгенерирована за 0.098 секунд. Запросов: 25.